astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- OrthoPolynomialBase

# OrthoPolynomialBase

class `astropy.modeling.polynomial.``OrthoPolynomialBase`

  Bases: `astropy.modeling.polynomial.PolynomialBase`

  This is a base class for the 2D Chebyshev and Legendre models.

  The polynomials implemented here require a maximum degree in x and y.

  Parameters:

  x_degree : int

  > degree in x

  y_degree : int

  > degree in y

  x_domain : list or None, optional

  > domain of the x independent variable

  x_window : list or None, optional

  > range of the x independent variable

  y_domain : list or None, optional

  > domain of the y independent variable

  y_window : list or None, optional

  > range of the y independent variable

  **params : dict

  > {keyword: value} pairs, representing {parameter_name: value}

  Attributes Summary

  `inputs` |
  `outputs` |

  Methods Summary

  `__call__`(x, y[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `eval`(*args, **kwargs) | Deprecated since version 1.0.
  `evaluate`(x, y, *coeffs) | Evaluate the model on some input variables.
  `get_num_coeff`() | Determine how many coefficients are needed
  `imhorner`(x, y, coeff) |
  `invlex_coeff`() |
  `prepare_inputs`(x, y, **kwargs) | This method is used in `__call__` to ensure that all the inputs to the model can be broadcast into compatible shapes (if one or both of them are input as arrays), particularly if there are more than one parameter sets.

  Attributes Documentation

  `inputs` = (u'x', u'y')
  `outputs` = (u'z',)

  Methods Documentation

  `__call__`(x, y, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  `eval`(*args, **kwargs)

    Deprecated since version 1.0: The eval function is deprecated and may be removed in a future version. Use OrthoPolynomialBase.evaluate instead.

    Evaluate the model on some input variables.

  `evaluate`(x, y, *coeffs)

    Evaluate the model on some input variables.

  `get_num_coeff`()

    Determine how many coefficients are needed

    Returns:

    numc : int

    > number of coefficients

  `imhorner`(x, y, coeff)
  `invlex_coeff`()
  `prepare_inputs`(x, y, **kwargs)

    This method is used in `__call__` to ensure that all the inputs to the model can be broadcast into compatible shapes (if one or both of them are input as arrays), particularly if there are more than one parameter sets.